# Generated from wavefile-1.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wavefile

Name: rubygem-%{gem_name}
Version: 1.1.1
Release: 1%{?dist}
Summary: A pure Ruby library for reading and writing Wave sound files (*.wav)
License: MIT
URL: http://wavefilegem.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
BuildArch: noarch

%description
You can use this gem to create Ruby programs that work with audio, by reading
and writing Wave sound files (*.wav). Since it is written in pure Ruby (as
opposed to wrapping an existing C library), you can use it without having to
compile a separate extension.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 1.1.1-1
- Initial package
